Subject: bug#25590: Remove build number from emacs-version variable

From: Glenn Morris <[email-masked]>
Date: Tue, 31 Jan 2017 12:55:58 -0500

Package: emacs
Version: 25.1
Severity: wishlist

I'd like to suggest removing the build number from the variable emacs-version.
Instead, it can go in a separate variable (eg emacs-build-number).
The function emacs-version can still include it in parentheses, like it
does for several other quantities.

Motivation:
I think the build number is a largely internal detail that is only of
interest to a small number of developers (as a data point, I've never
used/wanted it for anything). Having it in the version string is
confusing to people not familiar with Emacs development.
(I am not aware of any other software that even has a concept of "build
number".)